Bug 144829 - firefox lacking a small 16x16 rpm package icon ... yet a .deb icon exists
firefox lacking a small 16x16 rpm package icon ... yet a .deb icon exists
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
view-source:http://alfa.intrak.tuke.s...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 15:16 EST by James Laska
Modified: 2013-09-02 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 13:57:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox screenshot (88.63 KB, image/png)
2005-01-11 15:16 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2005-01-11 15:16:29 EST
RPM firefox-1.0-8.i386

I might not have assigned this to the correct component.  HOwever, my initial
instinct is mozilla/firefox.  My apologies if this is incorrect.  Please advise.

I Noticed when I browse the following website which contains a .rpm and a .deb
file.  The .deb has a debian-style icon associated with it.  While the .rpm has
the stock icon.  It would be nice if we could recognize our own packages.

   http://alfa.intrak.tuke.sk/~komornik/tasche/fedora/

I have attached a screenshot in the event that the above website is not available.
Comment 1 James Laska 2005-01-11 15:16:29 EST
Created attachment 109636 [details]
firefox screenshot
Comment 2 Warren Togami 2005-01-11 23:50:21 EST
This is not a browser bug.  The browser is faithfully rendering the index page
and icons supplied by the web server. 
Comment 3 James Laska 2005-01-12 13:45:29 EST
warren: that was my guess also ... feel free to reassign it to the correct
component ... as I have no idea where this bug should land.
Comment 4 Christopher Aillon 2005-01-12 13:57:04 EST
There is no way this is a firefox bug.

The HTML source of the page contains a reference to unknown.gif in one place and
deb.gif in another which is what we render:

<IMG border="0" src="/icons/back.gif" ALT="[DIR]"> <A
HREF="/~komornik/tasche/">Parent Directory</A>        12-Jan-2005 18:26      -  
<IMG border="0" src="/icons/unknown.gif" ALT="[   ]"> <A
HREF="tasche-1.0-3.i386.rpm">tasche-1.0-3.i386.rpm</A>   06-Jan-2005 11:16    45k  

<IMG border="0" src="/icons/compressed.gif" ALT="[   ]"> <A
HREF="tasche_1.0-3.tar.gz">tasche_1.0-3.tar.gz</A>     06-Jan-2005 11:16    40k
 GZIP compressed docume>
<IMG border="0" src="/icons/deb.gif" ALT="[   ]"> <A
HREF="tasche_1.0-3_i386.deb">tasche_1.0-3_i386.deb</A>   06-Jan-2005 11:16    41k  


NOTABUG.
Comment 5 James Laska 2005-01-12 14:26:50 EST
Nice catch caillon.  I think this now stands as the worst bug report I've ever
filed.
Comment 6 Warren Togami 2005-01-12 21:33:00 EST
Part of the problem here is the "official" IANA (or some other standards body)
recognized use of .rpm is for RealPlayer.  Almost every web server on the planet
has the MIME type of RealPlayer instead of rpm for .rpm.

Note You need to log in before you can comment on or make changes to this bug.